## org.omg.DynamicAny
Class DynSequenceHelper

    java.lang.Object
      |
      +--org.omg.DynamicAny.DynSequenceHelper

public class DynSequenceHelper
extends java.lang.Object

Helper class for : DynSequence

Author:
  OpenORB Compiler

Constructor Summary
`DynSequenceHelper()`

Method Summary
`static DynSequence` `extract(Any a)` Extract DynSequence from an any
`static java.lang.String` `id()` Return the DynSequence IDL ID
`static void` `insert(Any a, DynSequence t)` Insert DynSequence into an any
`static DynSequence` `narrow(Object obj)` Narrow CORBA::Object to DynSequence
`static DynSequence` `read(InputStream istream)` Read DynSequence from a marshalled stream
`static TypeCode` `type()` Return the DynSequence TypeCode
`static DynSequence` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to DynSequence
`static void` `write(OutputStream ostream, DynSequence value)` Write DynSequence into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynSequenceHelper

    public DynSequenceHelper()

Method Detail

### insert

    public static void insert(Any a,
                              DynSequence t)

  Insert DynSequence into an any
  Parameters:
    `a` - an any
    `t` - DynSequence value

### extract

    public static DynSequence extract(Any a)

  Extract DynSequence from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted DynSequence value

### type

    public static TypeCode type()

  Return the DynSequence TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the DynSequence IDL ID
  Returns:
    an ID

### read

    public static DynSequence read(InputStream istream)

  Read DynSequence from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed DynSequence value

### write

    public static void write(OutputStream ostream,
                             DynSequence value)

  Write DynSequence into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - DynSequence value

### narrow

    public static DynSequence narrow(Object obj)

  Narrow CORBA::Object to DynSequence
  Parameters:
    `obj` - the CORBA Object
  Returns:
    DynSequence Object

### unchecked_narrow

    public static DynSequence unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to DynSequence
  Parameters:
    `obj` - the CORBA Object
  Returns:
    DynSequence Object